Services
All operations require authentication, except the 2 marked Public.
List SSL GatewaysProduction
Query parameters
Filter resources on IAM tags
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v1/ sslGateway \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get an SSL GatewayProduction
Path parameters
The internal name of your SSL Gateway
Response
Restrict SSL Gateway access to these ip block. No restriction if null
Custom name of your SSL Gateway
Set to true to enable Strict-Transport-Security HTTP header
Set to true to enable https redirect
IAM resource metadata
The IPv4 you need to put in the A field of your domain name
The IPv6 you need to put in the AAAA field of your domain name
The metrics token associated with your SSL Gateway
Current offer for your SSL Gateway
advancedenterprisefreeinternalCustom reverse for your SSL Gateway
Set to true to contact backend servers over HTTPS
The internal name of your SSL Gateway
Modern oldest compatible clients : Firefox 27, Chrome 30, IE 11 on Windows 7, Edge, Opera 17, Safari 9, Android 5.0, and Java 8. Intermediate oldest compatible clients : Firefox 1, Chrome 1, IE 7, Opera 5, Safari 1, Windows XP IE8, Android 2.3, Java 7. Intermediate if null.
intermediateinternalmodernCurrent state of your SSL Gateway
creatingdeleteddeletinghttp-onlyinternaloksuspendedupgradingZones of your SSL Gateway
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ sslGateway/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "allowedSource": [ "192.0.2.0/24" ], "displayName": "string", "hsts": true, "httpsRedirect": true, "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "ipv4": "192.0.2.0", "ipv6": "2001:41d0:1:1994::1", "metricsToken": "string", "offer": "advanced", "reverse": "string", "serverHttps": true, "serviceName": "string", "sslConfiguration": "intermediate", "state": "creating", "zones": [ "string" ]}
Update an SSL GatewayProduction
Path parameters
The internal name of your SSL Gateway
Request body (required)
Restrict SSL Gateway access to these ip block. No restriction if null
Custom name of your SSL Gateway
Set to true to enable Strict-Transport-Security HTTP header
Set to true to enable https redirect
The IPv4 you need to put in the A field of your domain name
The IPv6 you need to put in the AAAA field of your domain name
The metrics token associated with your SSL Gateway
Current offer for your SSL Gateway
advancedenterprisefreeinternalCustom reverse for your SSL Gateway
Set to true to contact backend servers over HTTPS
The internal name of your SSL Gateway
Modern oldest compatible clients : Firefox 27, Chrome 30, IE 11 on Windows 7, Edge, Opera 17, Safari 9, Android 5.0, and Java 8. Intermediate oldest compatible clients : Firefox 1, Chrome 1, IE 7, Opera 5, Safari 1, Windows XP IE8, Android 2.3, Java 7. Intermediate if null.
intermediateinternalmodernCurrent state of your SSL Gateway
creatingdeleteddeletinghttp-onlyinternaloksuspendedupgradingZones of your SSL Gateway
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ sslGateway/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"List available zonesProductionPublic
Response
Public: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ v1/ sslGateway/ availableZones[ "string"]
Check domain eligibilityProductionPublic
Query parameters
domain to check eligibility for SSL Gateway offer
Response
Customer domain name
Eligible IP(s) v6 for this domain
Eligible IP(s) for this domain
Whether this domain is hosted by Ovh or not
Public: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ v1/ sslGateway/ eligibility{ "domain": "string", "ip6s": [ "2001:41d0:1:1994::1" ], "ips": [ "192.0.2.0" ], "isHostedByOvh": true}
List NAT IPsProduction
Path parameters
The internal name of your SSL Gateway
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ sslGateway/ {serviceName}/ natIp \
-H "authorization: Bearer $OVH_TOKEN"[ { "ip": [ "192.0.2.0/24" ], "zone": "string" }]